# what kernel are we building for ?
%{!?kernel: %define kernel %(uname -r)}
# get the correct kernel package release by stripping kernel modifiers
%define krel %(echo %{kernel} | sed -e s/smp//g -)

Name:           kernel-module-devel-%{krel}
Version:        0.5
Release:        0.fdr.1.3
Summary:        Build files for all kernel arch/types for %{krel} 

Group:          System Environment/Kernel
License:        GPL
URL:            http://thomas.apestaart.org/
Source:         %{name}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       /boot/vmlinuz-%{krel}

# we really don't need debug packages for this
%define debug_package %{nil}

%description
This package contains a forest of symlinks and actual files copied from
all the kernel rpms.  This allows you to build external modules for
all architectures and types of kernels.

%prep
%setup -q -n %{name}

%build

%install
rm -rf $RPM_BUILD_ROOT %{name}-%{version}.files
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/kernel-module-devel
cp -pR * $RPM_BUILD_ROOT%{_libdir}/kernel-module-devel/
for file in * ; do
  echo "%{_libdir}/kernel-module-devel/$file" >> %{name}-%{version}.files
done
# ghost symlink, actually replaced in postinstall phase
ln -s /lib/modules/%{krel}/build \
  $RPM_BUILD_ROOT%{_libdir}/kernel-module-devel/%{krel}-common

%clean
rm -rf $RPM_BUILD_ROOT

%post
ln -sf /lib/modules/%{krel}/build %{_libdir}/kernel-module-devel/%{krel}-common


%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%dir %{_libdir}/kernel-module-devel
%ghost %{_libdir}/kernel-module-devel/%{krel}-common

%changelog
* Tue Sep  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0.5-0.fdr.1
- Make symlinks inside the tarball relative (bug 1709).

* Thu Sep  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0.4-0.fdr.1
- Since an UP kernel is always required anyway, always link "common" to
  the UP kernel's "build" dir even if other kernel variants are installed
  (bug 1709, Thorsten Leemhuis).

* Fri Jul 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0.3-0.fdr.1
- Change installation layout so that module packagers do not have to
  special-case variants such as "smp" any more.
- Use %%ghost for "common" symlink handling.

* Tue Jun 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2-0.fdr.2: require vmlinuz-(krel) since that actually works

* Fri May 21 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2-0.fdr.1: Initial package
